Bug 102288 - TerminationVetoException should only prevent termination, not closing windows
Summary: TerminationVetoException should only prevent termination, not closing windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-19 15:05 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-10-14 13:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-09-19 15:05:06 UTC
We use the TerminationVetoException to stop File->Exit from terminating the soffice process as we still need the process for remote uno connections.

However, this has the side effect that you can no longer close the windows when selecting File->Exit.

The user should still be able to close all visible frames using File->Exit; the TerminationVetoException only should prevent terminating the process.
Comment 1 Commit Notification 2016-10-10 10:39:18 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d9f07d53e9f89b5286637113198e61149a5c771

tdf#102288 TerminationVetoException should only prevent termination

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.